package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.DailyWork;

/**
 * 作品每日统计Mapper接口
 * 
 * @author haotian
 * @date 2024-11-08
 */
public interface DailyWorkMapper 
{
    /**
     * 查询作品每日统计
     * 
     * @param dailyWorkId 作品每日统计主键
     * @return 作品每日统计
     */
    public DailyWork selectDailyWorkByDailyWorkId(Long dailyWorkId);

    /**
     * 查询作品每日统计列表
     * 
     * @param dailyWork 作品每日统计
     * @return 作品每日统计集合
     */
    public List<DailyWork> selectDailyWorkList(DailyWork dailyWork);

    /**
     * 新增作品每日统计
     * 
     * @param dailyWork 作品每日统计
     * @return 结果
     */
    public int insertDailyWork(DailyWork dailyWork);

    /**
     * 修改作品每日统计
     * 
     * @param dailyWork 作品每日统计
     * @return 结果
     */
    public int updateDailyWork(DailyWork dailyWork);

    /**
     * 删除作品每日统计
     * 
     * @param dailyWorkId 作品每日统计主键
     * @return 结果
     */
    public int deleteDailyWorkByDailyWorkId(Long dailyWorkId);

    /**
     * 批量删除作品每日统计
     * 
     * @param dailyWorkIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDailyWorkByDailyWorkIds(Long[] dailyWorkIds);
}
